summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Fergeau <cfergeau@redhat.com>2013-09-23 15:03:32 +0200
committerChristophe Fergeau <cfergeau@redhat.com>2013-09-23 15:03:32 +0200
commitf372faa4a55ee7c3f123cded6108e59e6fbd24d5 (patch)
tree79bde57aeb7e92e4b1b615eec3251929cc0193f9
parentbcd5007503f6487e56dda36c9978cdd23cf0b4c0 (diff)
Add basic build system for docs
This is very basic right now, but is better than having to remember what are the commands to run.
-rw-r--r--Makefile.am1
-rwxr-xr-xautogen.sh25
-rw-r--r--books/Makefile.am39
-rw-r--r--configure.ac21
4 files changed, 86 insertions, 0 deletions
diff --git a/Makefile.am b/Makefile.am
new file mode 100644
index 0000000..27db0e4
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1 @@
+SUBDIRS = books
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..f530068
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Copyright (C) 2010-2011 Richard Hughes <richard@hughsie.com>
+#
+# Run this to generate all the initial makefiles, etc.
+#
+# Licensed under the GNU General Public License Version 2
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+cd "$srcdir"
+
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please install it ***"
+ exit 1
+fi
+
+cd "$olddir"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
diff --git a/books/Makefile.am b/books/Makefile.am
new file mode 100644
index 0000000..5a82242
--- /dev/null
+++ b/books/Makefile.am
@@ -0,0 +1,39 @@
+SUFFIXES = .xml .html .txt .asc .1
+
+.xml.html:
+ xmlto xhtml-nochunks $<
+
+.xml.1:
+ xmlto man $<
+
+.xml.txt:
+ xmlto txt $<
+
+.asc.html:
+ asciidoc $<
+
+all: allhtml manpages
+
+XMLMAN =
+XMLDOC = \
+ docbook/SpiceUserManual-Basics.xml \
+ docbook/SpiceUserManual-Installation.xml \
+ docbook/SpiceUserManual-Introduction.xml \
+ docbook/SpiceUserManual-References.xml \
+ docbook/SpiceUserManual.xml
+XMLALL = $(XMLMAN) $(XMLDOC)
+SOURCES = $(XMLALL) $(TXTDOC)
+SITEHTML = index.html
+
+allhtml: $(XMLALL:.xml=.html)
+
+manpages: $(XMLMAN:.xml=.1)
+
+# Control what goes in the distribution tarball.
+# We include all of the XML, and also generated manual pages
+# so people working from the distribution tarball won't need xmlto.
+EXTRA_DIST = $(SOURCES) $(XMLMAN:.xml=.1)
+
+clean-local:
+ rm -fr staging $(XMLALL:.xml=.html) $(XMLMAN:.xml=.1)
+
diff --git a/configure.ac b/configure.ac
new file mode 100644
index 0000000..24508a5
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,21 @@
+AC_PREREQ(2.63)
+m4_define([manual_version], [54])
+AC_INIT([spice-manual],[manual_version])
+AC_CONFIG_SRCDIR([books])
+AC_CONFIG_AUX_DIR([build-aux])
+
+AM_INIT_AUTOMAKE([1.11 no-dist-gzip dist-xz tar-ustar foreign])
+
+AM_SILENT_RULES([yes])
+
+# Check for programs
+# FIXME: check for xmlto
+
+dnl ---------------------------------------------------------------------------
+dnl - Makefiles, etc.
+dnl ---------------------------------------------------------------------------
+AC_CONFIG_FILES([
+Makefile
+books/Makefile
+])
+AC_OUTPUT